package com.uas.ps.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.uas.ps.sync.core.annotation.Sync;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 产品匹配结果
 *
 * @author sunyj
 * @since 2018/1/13 13:46
 */
@Sync
@Entity
@Table(name = "productmatchresults")
public class ProductMatchResult implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "pr_id")
    private Long id;

    /**
     * 产品id
     */
    @Column(name = "pr_prid")
    private Long productId;

    /**
     * 产品
     */
    @ManyToOne(cascade = {CascadeType.REFRESH})
    @JoinColumn(name = "pr_prid", insertable = false, updatable = false)
    private Product product;

    /**
     * 序号
     */
    @Column(name = "pr_number")
    private Short number;

    /**
     * 品牌id
     */
    @Column(name = "pr_brid")
    private Long brandId;

    /**
     * 品牌英文
     */
    @Column(name = "pr_branden")
    private String brandEn;

    /**
     * 品牌中文
     */
    @Column(name = "pr_brandcn")
    private String brandCn;

    /**
     * 品牌（平台）（uuid）
     */
    @Column(name = "pr_pbranduuid")
    private String pBrandUuid;

    /**
     * 类目id
     */
    @Column(name = "pr_kindid")
    private Long kindId;

    /**
     * 类目英文
     */
    @Column(name = "pr_kinden")
    private String kindEn;

    /**
     * 类目中文
     */
    @Column(name = "pr_kindcn")
    private String kindCn;

    /**
     * uuid
     */
    @Column(name = "pr_uuid")
    private String uuid;

    /**
     * 器件id
     */
    @Column(name = "pr_cmpid")
    private Long cmpId;

    /**
     * 原厂型号
     */
    @Column(name = "pr_cmpcode")
    private String cmpCode;

    /**
     * 企业uu
     */
    @Column(name = "pr_enuu")
    private Long enUU;

    /**
     * 图片
     */
    @Column(name = "pr_cmpimg")
    private String cmpImg;

    /**
     * 包装
     */
    @Column(name = "pr_encapsulation")
    private String encapsulation;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    @JSONField(serialize = false)
    public Product getProduct() {
        return product;
    }

    public void setProduct(Product product) {
        this.product = product;
    }

    public Short getNumber() {
        return number;
    }

    public void setNumber(Short number) {
        this.number = number;
    }

    public Long getBrandId() {
        return brandId;
    }

    public void setBrandId(Long brandId) {
        this.brandId = brandId;
    }

    public String getBrandEn() {
        return brandEn;
    }

    public void setBrandEn(String brandEn) {
        this.brandEn = brandEn;
    }

    public String getBrandCn() {
        return brandCn;
    }

    public void setBrandCn(String brandCn) {
        this.brandCn = brandCn;
    }

    public String getpBrandUuid() {
        return pBrandUuid;
    }

    public void setpBrandUuid(String pBrandUuid) {
        this.pBrandUuid = pBrandUuid;
    }

    public Long getKindId() {
        return kindId;
    }

    public void setKindId(Long kindId) {
        this.kindId = kindId;
    }

    public String getKindEn() {
        return kindEn;
    }

    public void setKindEn(String kindEn) {
        this.kindEn = kindEn;
    }

    public String getKindCn() {
        return kindCn;
    }

    public void setKindCn(String kindCn) {
        this.kindCn = kindCn;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public Long getCmpId() {
        return cmpId;
    }

    public void setCmpId(Long cmpId) {
        this.cmpId = cmpId;
    }

    public String getCmpCode() {
        return cmpCode;
    }

    public void setCmpCode(String cmpCode) {
        this.cmpCode = cmpCode;
    }

    public Long getEnUU() {
        return enUU;
    }

    public void setEnUU(Long enUU) {
        this.enUU = enUU;
    }

    public String getCmpImg() {
        return cmpImg;
    }

    public void setCmpImg(String cmpImg) {
        this.cmpImg = cmpImg;
    }

    public String getEncapsulation() {
        return encapsulation;
    }

    public void setEncapsulation(String encapsulation) {
        this.encapsulation = encapsulation;
    }

    @Override
    public String toString() {
        return "ProductMatchResult{" +
                "id=" + id +
                ", productId=" + productId +
                ", product=" + product +
                ", number=" + number +
                ", brandId=" + brandId +
                ", brandEn='" + brandEn + '\'' +
                ", brandCn='" + brandCn + '\'' +
                ", pBrandUuid='" + pBrandUuid + '\'' +
                ", kindId=" + kindId +
                ", kindEn='" + kindEn + '\'' +
                ", kindCn='" + kindCn + '\'' +
                ", uuid='" + uuid + '\'' +
                ", cmpId=" + cmpId +
                ", cmpCode='" + cmpCode + '\'' +
                ", enUU=" + enUU +
                ", cmpImg='" + cmpImg + '\'' +
                ", encapsulation='" + encapsulation + '\'' +
                '}';
    }
}
