package com.uas.ps.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * 存贮商城私有物料字段
 */
@Entity
@Table(name = "product$private")
public class ProductPrivate  implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private Long id;

    /**
     * 物料主键
     */
    @Column(name = "pr_id" ,unique = true)
    private Long prId;

    /**
     * b2c是否启用
     * 1 启用，
     * 0 未启用
     */
    @Column(name = "pr_b2cenabled")
    private Integer b2cEnabled;

    /**
     * goods表信息中存在多少条数据
     */
    @Column(name = "pr_batchcount")
    private Integer batchCount;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPrId() {
        return prId;
    }

    public void setPrId(Long prId) {
        this.prId = prId;
    }

    public Integer getB2cEnabled() {
        return b2cEnabled;
    }

    public void setB2cEnabled(Integer b2cEnabled) {
        this.b2cEnabled = b2cEnabled;
    }

    public Integer getBatchCount() {
        return batchCount;
    }

    public void setBatchCount(Integer batchCount) {
        this.batchCount = batchCount;
    }
}
