package com.uas.ps.entity;

import com.uas.ps.sync.core.annotation.Sync;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 产品物料存储状态<br>
 * 如果一家企业有人操作单据，其他人不允许操作
 * 
 * @author hejq
 * 创建时间：2017年6月28日
 */
@Sync
@Entity
@Table(name = "product$storestaus")
public class ProductStoreStatus implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "pr_id")
	private Long id;

	/**
	 * 操作企业uu
	 */
	@Column(name = "pr_enuu")
	private Long enuu;
	
	/**
	 * 操作人uu
	 */
	@Column(name = "pr_useruu")
	private Long useruu;

	/**
	 * 操作时间
	 */
	@Column(name = "pr_date")
	private Date date;

	/**
	 * 操作状态<br>
	 * RUNNING 351 运行中<br>
	 * FINISH 111 已结束
	 */
	@Column(name = "pr_status")
	private Integer status;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getEnuu() {
		return enuu;
	}

	public void setEnuu(Long enuu) {
		this.enuu = enuu;
	}

	public Long getUseruu() {
		return useruu;
	}

	public void setUseruu(Long useruu) {
		this.useruu = useruu;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

}
