package com.uas.ps.entity;

import com.uas.ps.sync.core.annotation.Sync;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户个人产品库
 *
 * Created by hejq on 2017-11-08.
 */
@Sync
@Table(name = "product$users")
@Entity
public class ProductUsers implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "pu_id")
    private Long id;

    /**
     * 用户uu
     */
    @Column(name = "pu_useruu" , nullable = false)
    private Long useruu;

    /**
     * 企业uu，方便统计处理
     */
    @Column(name = "pu_enuu" , nullable = false)
    private Long enuu;

    /**
     * 物料id
     */
    @Column(name = "pu_prid")
    private Long prid;

    /**
     * 产品
     */
    @OneToOne(cascade = { CascadeType.REFRESH })
    @JoinColumn(name = "pu_prid", insertable = false, updatable = false)
    private Product product;

    /**
     * 日期
     */
    @Column(name = "pu_date")
    private Date date;

    /**
     * 存在ERP同步过来数据的情况，记录id
     */
    @Column(name = "pu_erpid")
    private Long erpid;

    public ProductUsers() {

    }

    public ProductUsers(Long enUU, Long userUU, Long prId) {
        this.setEnuu(enUU);
        this.setUseruu(userUU);
        this.setPrid(prId);
        this.setDate(new Date());
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUseruu() {
        return useruu;
    }

    public void setUseruu(Long useruu) {
        this.useruu = useruu;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public Long getPrid() {
        return prid;
    }

    public void setPrid(Long prid) {
        this.prid = prid;
    }

    public Product getProduct() {
        return product;
    }

    public void setProduct(Product product) {
        this.product = product;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Long getErpid() {
        return erpid;
    }

    public void setErpid(Long erpid) {
        this.erpid = erpid;
    }
}
